Chromium for Maemo

For all people that are using old howtos:

There is no chromium-5.0.369.2.deb and libxss-1.1.3.deb.
Use libxss1 from maemo extras-devel repository and chromium from my repository.

Due to some patent issues with chromium i've decided to move chromium to my own repository.
deb fremantle free non-free
Package requires libxss1 that's still in extras-devel reposity.

Some more details on a case: and